Użyj CometAPI GET /v1/videos/, aby pobrać status wideo Sora 2, postęp oraz metadane, takie jak czas trwania, wymiary, znaczniki czasu i termin wygaśnięcia.
curl --request GET \
--url https://api.cometapi.com/v1/videos/{video_id} \
--header 'Authorization: Bearer <token>'{
"id": "video_69b25d5f467c81908733a56bc236b4df",
"size": "1280x720",
"error": null,
"model": "sora-2",
"object": "video",
"prompt": "A paper airplane glides across a desk.",
"status": "in_progress",
"seconds": "4",
"progress": 0,
"created_at": 1773296991,
"expires_at": null,
"completed_at": null,
"remixed_from_video_id": null
}status dla stanu cyklu życiaprogress jako przybliżony sygnał postępuerror, gdy dostawca odrzuci zadanie lub wystąpi błądexpires_at po zakończeniu, jeśli chcesz wiedzieć, kiedy tymczasowe zasoby wygasnąNajpierw utwórz lub zremiksuj wideo
Odpytuj po id
id i sprawdzaj dalej, aż zadanie osiągnie stan completed lub failed.Pobierz plik
completed, przejdź do Retrieve Video Content.Bearer token authentication. Use your CometAPI key.
Video id returned by the create or remix endpoint.
Current job state.
curl --request GET \
--url https://api.cometapi.com/v1/videos/{video_id} \
--header 'Authorization: Bearer <token>'{
"id": "video_69b25d5f467c81908733a56bc236b4df",
"size": "1280x720",
"error": null,
"model": "sora-2",
"object": "video",
"prompt": "A paper airplane glides across a desk.",
"status": "in_progress",
"seconds": "4",
"progress": 0,
"created_at": 1773296991,
"expires_at": null,
"completed_at": null,
"remixed_from_video_id": null
}